caption: Browser sign in settings
desc: |-
  This policy controls the sign-in behavior of the browser. It allows you to specify if the user can sign in to <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph> with their account and use account related services like <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph> Sync.

        If the policy is set to "Disable browser sign-in" then the user cannot sign in to the browser and use account-based services. In this case browser-level features like <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph> Sync cannot be used and will be unavailable. On <ph name="IOS_NAME">iOS</ph>, if the user was signed in and the policy is set to "Disabled" they will be signed out immediately. On other platforms, they will be signed out the next time they run <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph>. On all platforms, their local profile data like bookmarks, passwords etc. will be preserved and still usable. The user will still be able to sign into and use Google web services like Gmail.

        If the policy is set to "Enable browser sign-in," then the user is allowed to sign in to the browser. On all platforms except <ph name="IOS_NAME">iOS</ph>, the user is automatically signed in to the browser when signed in to Google web services like Gmail. Being signed in to the browser means the user's account information will be kept by the browser. However, it does not mean that <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph> Sync will be turned on by default; the user must separately opt-in to use this feature. Enabling this policy will prevent the user from turning off the setting that allows browser sign-in. To control the availability of <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph> Sync, use the <ph name="SYNC_POLICY_NAME">SyncDisabled</ph> policy.

        If the policy is set to "Force browser sign-in" the user is presented with an account selection dialog and has to choose and sign in to an account to use the browser. This ensures that for managed accounts the policies associated with the account are applied and enforced. The default value of <ph name="GUEST_MODE_POLICY_NAME">BrowserGuestModeEnabled</ph> will be set to disabled. Note that existing unsigned profiles will be locked and inaccessible after enabling this policy. For more information, see help center article: https://support.google.com/chrome/a/answer/7572556 . This option is not supported on <ph name="LINUX_OS_NAME">Linux</ph>, <ph name="ANDROID_NAME">Android</ph> or <ph name="IOS_NAME">iOS</ph>. It will fall back to "Enable browser sign-in" if used.

        If this policy is not set then the user can decide if they want to enable browser sign-in in the <ph name="PRODUCT_NAME">$1<ex>Google Chrome</ex></ph> settings and use it as they see fit.
example_value: 2
features:
  dynamic_refresh: false
  per_profile: false
future_on:
- fuchsia
items:
- caption: Disable browser sign-in
  name: Disable
  value: 0
- caption: Enable browser sign-in
  name: Enable
  value: 1
- caption: Force users to sign-in to use the browser
  name: Force
  supported_on:
  - chrome.win:70-
  - chrome.mac:70-
  - ios:97-
  value: 2
owners:
- file://components/policy/OWNERS
- pastarmovj@chromium.org
schema:
  enum:
  - 0
  - 1
  - 2
  type: integer
supported_on:
- chrome.*:70-
- android:70-
- ios:90-
tags: []
type: int-enum
